Cocoon API: Class JikesJavaCompiler

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.language.java
Class JikesJavaCompiler

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.language.java.JikesJavaCompiler

All Implemented Interfaces:
  JavaCompiler

public class JikesJavaCompiler
extends java.lang.Object
implements JavaCompiler

Constructor Summary
`JikesJavaCompiler()`

Method Summary
`boolean` | `compile(java.lang.String source)`
`void` | `setClasspath(java.lang.String classpath)`
`void` | `setCompilerPath(java.lang.String compilerPath)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setMsgOutput(java.io.OutputStream out)`
`void` | `setOutputDir(java.lang.String outdir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JikesJavaCompiler

    public JikesJavaCompiler()

Method Detail

### compile

    public boolean compile(java.lang.String source)

  Specified by:
    `compile` in interface `JavaCompiler`

### setClasspath

    public void setClasspath(java.lang.String classpath)

  Specified by:
    `setClasspath` in interface `JavaCompiler`

### setCompilerPath

    public void setCompilerPath(java.lang.String compilerPath)

  Specified by:
    `setCompilerPath` in interface `JavaCompiler`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Specified by:
    `setEncoding` in interface `JavaCompiler`

### setMsgOutput

    public void setMsgOutput(java.io.OutputStream out)

  Specified by:
    `setMsgOutput` in interface `JavaCompiler`

### setOutputDir

    public void setOutputDir(java.lang.String outdir)

  Specified by:
    `setOutputDir` in interface `JavaCompiler`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.